function gadget:GetInfo()
	return {
		name = "DaBombHandler",
		desc = "Handles Dabomb's behavior",
		author = "[Fx]Doo",
		date = "20th of October 2016",
		license = "Free",
		layer = 0,
		enabled = true
	}
end

if (gadgetHandler:IsSyncedCode()) then
--SYNCED
function GameStart()
local y = Spring.GetGroundHeight
local GaiaTeamID = Spring.GetGaiaTeamID()
f = 0
ud = Spring.CreateUnit("dabomb", 5120, y(5120,4000), 4000, (0), GaiaTeamID)
Spring.GiveOrderToUnit(ud, CMD.INSERT, {-1,CMD.SELFD,CMD.OPT_SHIFT},{"alt"})
Spring.PlaySoundFile("sounds/warning1.wav") 
Spring.Echo("The bomb has been planted at position 5120,4000. The timer is set to 20 minutes.")
Spring.Echo("To prevent it from exploding, you can use all kinds of disables.")
Spring.Echo("You can try to destroy it for a smaller explosion.")
Spring.Echo("You can use EMP to delay its explosion.")
Spring.Echo("You can use a transport to delay its explosion and plant it in enemy territory.")
Spring.Echo("The clock is ticking. What will you do ?")
end

function GameFrame()
t = Spring.GetUnitSelfDTime(ud)
if f == 0 then
if t == 2400 then Spring.Echo("Twenty minutes until the bomb explodes!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 1800 then Spring.Echo("Fifteen minutes until the bomb explodes!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 1200 then Spring.Echo("Ten minutes until the bomb explodes!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 600 then Spring.Echo("Five minutes until the bomb explodes!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 360 then Spring.Echo("Three minutes until the bomb explodes!!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 240 then Spring.Echo("Two minutes until the bomb explodes!!!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 120 then Spring.Echo("One minute until the bomb explodes!!!!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 60 then Spring.Echo("30 seconds until the bomb explodes!!!!!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 40 then Spring.Echo("20 seconds until the bomb explodes!!!!!!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 20 then Spring.Echo("10 seconds until the bomb explodes!!!!!!!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 18 then Spring.Echo("9!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 16 then Spring.Echo("8!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 14 then Spring.Echo("7!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 12 then Spring.Echo("6!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 10 then Spring.Echo("5!!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 8 then Spring.Echo("4!!!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 6 then Spring.Echo("3!!!!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 4 then Spring.Echo("2!!!!!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
if t == 2 then Spring.Echo("1!!!!!!!!!") Spring.PlaySoundFile("sounds/warning1.wav") end
end
f = f + 1
if f == 10 then f = 0 end
end

function UnitDestroyed(p,x)
if p == ud then 
Spring.Echo("The bomb has exploded.") end
end

end